astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Astropy Core Package Utilities (`astropy.utils`) »
- validate_schema

# validate_schema

`astropy.utils.xml.validate.``validate_schema`(filename, schema_file)

  Validates an XML file against a schema or DTD.

  Parameters:

  filename : str

  > The path to the XML file to validate

  schema : str

  > The path to the XML schema or DTD

  Returns:

  returncode, stdout, stderr : int, str, str

  > Returns the returncode from xmllint and the stdout and stderr as strings